#!/bin/sh

usage()
{
    echo "usage: $0 <flash|phone|cdrom>"
    exit 1
}

[ "$#" -ne "1" ] && usage

echo "$1" | egrep '(flash|phone|cdrom)' >/dev/null 2>&1 || usage

if [ "`ls -ld /media/$1/ | cut -f 3 -d \ `" = "root" ]; then
    if mount /media/$1 >/dev/null 2>&1; then
	xmessage "$1 успешно смонтирован."
    else
	xmessage "$1 смонтировать не удалось. Возможно, отсутствует носитель."
    fi
elif [ "`ls -ld /media/$1/ | cut -f 3 -d \ `" = "$USER" ]; then
    if umount /media/$1 >/dev/null 2>&1; then
	xmessage "$1 успешно размонтирован."
    else
	xmessage "$1 размонтировать не удалось. Возможно, носитель занят."
    fi
else
    xmessage -button OK:0 "$1 уже смонтирован пользователем `ls -ld /media/$1/ | cut -f 3 -d \ `."
fi